Page MenuHomePhabricator

Create an #ArchCom-Approved tag
Closed, ResolvedPublic

Description

TechCom is currently tracking "approved" RFCs on the workboard using an amalgam of two columns "Approved" and "Approved not resourced". We would like to have a separate Phab tag to tag the stuff that's approved, adding TechCom-RFC (TechCom-Approved) and removing the "TechCom-RFC" tag, which we hope will make our workflow for the TechCom-RFC board a little clearer.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2016, 7:37 PM

Future designees of TechCom-RFC (TechCom-Approved) tag:
T72693 RfC: Hierator to replace WikiHiero
T44085 Wikimedia needs a URL shortener (tracking)
T14619 Use article path URLs for editing, previewing skins, etc.
T592 RfC: ChangesList formatting
T469 RfC: Linker refactor

(all currently listed as "Approved, but not resourced" on the TechCom-RFC board)

Danny_B added a subscriber: Danny_B.EditedApr 30 2016, 11:21 AM

How about subproject to TechCom-RFC instead?

Classical tags (yellow) should be used for cross-component (cross-project) stuff...

How about subproject to TechCom-RFC instead?
Classical tags (yellow) should be used for cross-component (cross-project) stuff...

Sure, that'd be fine. So, TechCom-RFC (TechCom-Approved) as subproject of TechCom-RFC?

@RobLa-WMF : Are you aware of you can hide columns on workboard? (Re: "making the TechCom-RFC board a little cleaner")

@RobLa-WMF : Are you aware of you can hide columns on workboard? (Re: "making the TechCom-RFC board a little cleaner")

I'm aware of that, but I don't think hiding columns helps solve the problem we're trying to solve. As TechCom is looking at the issues we need to oversee, we need to solve. We need to figure out how to store the state of "has this been implemented yet?" separately from "has this been ArchCom approved yet?"; using the TechCom-RFC board for that has been a poor substitute.

I'm a bit confused now - the workboard contains both "approved" and "implemented" columns... What am I missing?

Luke081515 triaged this task as Low priority.May 3 2016, 9:40 PM

Hi @Danny_B - I'm working with @JAufrecht on this now to work out the workflow issues. At his request (on the wikimedia-teampractices IRC channel), I added a use case to mw:Phabricator/Wikimedia_Use_Cases_for_Phabricator.

@JAufrecht and I just got done talking, and I think I'd like to create TechCom-RFC (TechCom-Approved) as a milestone within TechCom-RFC. However, it doesn't appear that I have the permission to do this. I'll start asking around for help with that.

RobLa-WMF closed this task as Resolved.May 17 2016, 10:04 PM
RobLa-WMF added a subscriber: Luke081515.

\o/ Success! Thanks @Luke081515! We now have TechCom-RFC (TechCom-Approved) as a tag